package metier;

import java.util.List;

import jakarta.persistence.Entity;
import jakarta.persistence.PrimaryKeyJoinColumn;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Entity
@Getter
@Setter
@NoArgsConstructor
@PrimaryKeyJoinColumn(name = "Choix_Id")
public class Choix extends Reponse{
    List<String> choix;

    @Override
    public String valHTML(){
        String res = "";
        
        for (String val : this.choix) {
            res+=val+"<br/>";
        }
        return res;
    }
}
